<?xml version="1.0"?>

<!--
// *** Copyright (c)2002 Jim Massey. All rights reserved  ***********
// *** massey@stlouis-shopper.com ************
// *** No Warranty - certified to work with nothing ***
// *** developed to work with mozilla kiosk **** 
-->

<?xml-stylesheet href="chrome://kiosk/skin" type="text/css"?>

<!DOCTYPE window [
<!ENTITY % kioskDTD SYSTEM "chrome://kiosk/locale/kiosk.dtd">
%kioskDTD;
<!ENTITY % bindingsDTD SYSTEM "chrome://kiosk/locale/bindings.dtd">
%bindingsDTD;
]>

<window
	
	id="main-window"
	debug="false"
	xmlns:html="http://www.w3.org/TR/REC-html40"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
	windowtype="navigator:browser"
	title= "&window.title;"
	onload="new_page('&base.uri;');"
	height="600" width="700">

<script type="text/javascript" src="./kiosk.js"/>
<script type="text/javascript" src="./implmnt-specific.js"/>
<script type="text/javascript" src="./implmnt-specific-reset.js"/>

<keyset id="keyboardBindings">
	<key id="backuri" keycode="VK_F2" oncommand="history_back();"/>
	<key id="forwarduri" keycode="VK_F3" oncommand="history_forward();"/>
	<key id="flipuri" keycode="VK_F4" oncommand="testing();"/>
	<key id="back-up" keycode="VK_LEFT" modifiers="alt"
	  oncommand="history_back();"/>
	<key id="go-forward" keycode="VK_RIGHT" modifiers="alt"
	  oncommand="history_forward();"/>
	<key id="flip-page" keycode="VK_UP" modifiers="alt"
	  oncommand="testing();"/>
</keyset>

 <vbox id="appcontent" flex="100%">
 <hbox id="tool-bar">
 <box id="nav-bar" flex="100%">
 <menubar id="nav-buttons">
<!--
   <menu id="base-sites" label="&base.menu.label;" tooltiptext="&base.menu;">
    <menupopup id="base-uri">
     <menuitem label="&base.site1.txt;"
	onclick="new_page('&base.site1.uri;');"/>
     <menuitem label="&base.site2.txt;"
	onclick="new_page('&base.site2.uri;');"/>
     <menuitem label="&base.site3.txt;"
	onclick="new_page('&base.site3.uri;');"/>
     <menuitem label="&base.site4.txt;"
	onclick="new_page('&base.site4.uri;');"/>
    </menupopup>
   </menu>
-->
   <image id="flip-btn" onclick="testing();"
	tooltiptext="&flip.btn;"/>
   <image id="forward-btn" onclick="history_forward();" 
	tooltiptext="&history.forward;"/>
   <image id="back-btn" onclick="history_back();"
	tooltiptext="&history.back;"/>
<!--   <image id="print-btn" onclick="hard_copy();"
	tooltiptext="&print.btn;"/> 
    <image id="quit-btn" onclick="shut_down();"
-->
	tooltiptext="&quit.btn;"/>
 </menubar>
 </box>
 <box id="throbber-bar">
	<image id="throbber" tooltiptext="&throbber.msg;"/>
 </box>

 </hbox>

<!--	<box id="url-bar">
		<image id="go-btn" onclick="url_bar();"
	  	   tooltiptext="&go.btn;"/>
		<textbox id="textInput" width="500" read-only="false"
	  	   tooltiptext="&uri.field;"/>
	</box>
-->
   <box id="browser1" flex="1">
     <browser type="content-primary" src="&base.uri;"
	id="content" name="content" flex="1" onclick="Remember_last_page();">
     </browser>
   </box>
 <box id="progress_bar">
 <progressmeter id="progress" class="meter" mode="normal" value="0%"
	 tooltiptext="&progress.meter;"/>
  <label crop="end" id="progress_text"
	value="Should be next to the progress meter" flex="2"/>
 </box>
 </vbox>
</window>
